#!/usr/bin/env python3
# -*- coding: utf-8 -*-

""" Translate country codes to country names. """

__version__ = '2.2.0.22'

_countries = dict()
_countries["AFG"] = "Afghanistan"
_countries["ALA"] = "Åland Islands"
_countries["ALB"] = "Albania"
_countries["DZA"] = "Algeria"
_countries["ASM"] = "American Samoa"
_countries["AND"] = "Andorra"
_countries["AGO"] = "Angola"
_countries["AIA"] = "Anguilla"
_countries["ATA"] = "Antarctica"
_countries["ATG"] = "Antigua and Barbuda"
_countries["ARG"] = "Argentina"
_countries["ARM"] = "Armenia"
_countries["ABW"] = "Aruba"
_countries["AUS"] = "Australia"
_countries["AUT"] = "Austria"
_countries["AZE"] = "Azerbaijan"
_countries["BHS"] = "Bahamas"
_countries["BHR"] = "Bahrain"
_countries["BGD"] = "Bangladesh"
_countries["BRB"] = "Barbados"
_countries["BLR"] = "Belarus"
_countries["BEL"] = "Belgium"
_countries["BLZ"] = "Belize"
_countries["BEN"] = "Benin"
_countries["BMU"] = "Bermuda"
_countries["BTN"] = "Bhutan"
_countries["BOL"] = "Bolivia"
_countries["BES"] = "Bonaire, Sint Eustatius and Saba"
_countries["BIH"] = "Bosnia and Herzegovina"
_countries["BWA"] = "Botswana"
_countries["BVT"] = "Bouvet Island"
_countries["BRA"] = "Brazil"
_countries["IOT"] = "British Indian Ocean Territory"
_countries["BRN"] = "Brunei Darussalam"
_countries["BGR"] = "Bulgaria"
_countries["BFA"] = "Burkina Faso"
_countries["BDI"] = "Burundi"
_countries["CPV"] = "Cabo Verde"
_countries["KHM"] = "Cambodia"
_countries["CMR"] = "Cameroon"
_countries["CAN"] = "Canada"
_countries["CYM"] = "Cayman Islands"
_countries["CAF"] = "Central African Republic"
_countries["TCD"] = "Chad"
_countries["CHL"] = "Chile"
_countries["CHN"] = "China"
_countries["CXR"] = "Christmas Island"
_countries["CCK"] = "Cocos (Keeling) Islands"
_countries["COL"] = "Colombia"
_countries["COM"] = "Comoros"
_countries["COD"] = "Democratic Republic of the Congo"
_countries["COG"] = "Congo"
_countries["COK"] = "Cook Islands"
_countries["CRI"] = "Costa Rica"
_countries["CIV"] = "Côte d'Ivoire"
_countries["HRV"] = "Croatia"
_countries["CUB"] = "Cuba"
_countries["CUW"] = "Curaçao"
_countries["CYP"] = "Cyprus"
_countries["CZE"] = "Czechia"
_countries["DNK"] = "Denmark"
_countries["DJI"] = "Djibouti"
_countries["DMA"] = "Dominica"
_countries["DOM"] = "Dominican Republic"
_countries["ECU"] = "Ecuador"
_countries["EGY"] = "Egypt"
_countries["SLV"] = "El Salvador"
_countries["GNQ"] = "Equatorial Guinea"
_countries["ERI"] = "Eritrea"
_countries["EST"] = "Estonia"
_countries["SWZ"] = "Eswatini"
_countries["ETH"] = "Ethiopia"
_countries["FLK"] = "Falkland Islands (Malvinas)"
_countries["FRO"] = "Faroe Islands"
_countries["FJI"] = "Fiji"
_countries["FIN"] = "Finland"
_countries["FRA"] = "France"
_countries["GUF"] = "French Guiana"
_countries["PYF"] = "French Polynesia"
_countries["ATF"] = "French Southern Territories"
_countries["GAB"] = "Gabon"
_countries["GMB"] = "Gambia"
_countries["GEO"] = "Georgia"
_countries["D"] =   "Germany"
_countries["GHA"] = "Ghana"
_countries["GIB"] = "Gibraltar"
_countries["GRC"] = "Greece"
_countries["GRL"] = "Greenland"
_countries["GRD"] = "Grenada"
_countries["GLP"] = "Guadeloupe"
_countries["GUM"] = "Guam"
_countries["GTM"] = "Guatemala"
_countries["GGY"] = "Guernsey"
_countries["GIN"] = "Guinea"
_countries["GNB"] = "Guinea-Bissau"
_countries["GUY"] = "Guyana"
_countries["HTI"] = "Haiti"
_countries["HMD"] = "Heard and McDonald Islands"
_countries["VAT"] = "Holy See (Vatican City State)"
_countries["HND"] = "Honduras"
_countries["HKG"] = "Hong Kong"
_countries["HUN"] = "Hungary"
_countries["ISL"] = "Iceland"
_countries["IND"] = "India"
_countries["IDN"] = "Indonesia"
_countries["IRN"] = "Islamic Republic of Iran"
_countries["IRQ"] = "Iraq"
_countries["IRL"] = "Ireland"
_countries["IMN"] = "Isle of Man"
_countries["ISR"] = "Israel"
_countries["ITA"] = "Italy"
_countries["JAM"] = "Jamaica"
_countries["JPN"] = "Japan"
_countries["JEY"] = "Jersey"
_countries["JOR"] = "Jordan"
_countries["KAZ"] = "Kazakhstan"
_countries["KEN"] = "Kenya"
_countries["KIR"] = "Kiribati"
_countries["PRK"] = "Democratic People's Republic of Korea"
_countries["KOR"] = "Republic of Korea"
_countries["KWT"] = "Kuwait"
_countries["KGZ"] = "Kyrgyzstan"
_countries["LAO"] = "Lao People's Democratic Republic"
_countries["LVA"] = "Latvia"
_countries["LBN"] = "Lebanon"
_countries["LSO"] = "Lesotho"
_countries["LBR"] = "Liberia"
_countries["LBY"] = "Libya"
_countries["LIE"] = "Liechtenstein"
_countries["LTU"] = "Lithuania"
_countries["LUX"] = "Luxembourg"
_countries["MAC"] = "Macao"
_countries["MDG"] = "Madagascar"
_countries["MWI"] = "Malawi"
_countries["MYS"] = "Malaysia"
_countries["MDV"] = "Maldives"
_countries["MLI"] = "Mali"
_countries["MLT"] = "Malta"
_countries["MHL"] = "Marshall Islands"
_countries["MTQ"] = "Martinique"
_countries["MRT"] = "Mauritania"
_countries["MUS"] = "Mauritius"
_countries["MYT"] = "Mayotte"
_countries["MEX"] = "Mexico"
_countries["FSM"] = "Federated States of Micronesia"
_countries["MDA"] = "Republic of Moldova"
_countries["MCO"] = "Monaco"
_countries["MNG"] = "Mongolia"
_countries["MNE"] = "Montenegro"
_countries["MSR"] = "Montserrat"
_countries["MAR"] = "Morocco"
_countries["MOZ"] = "Mozambique"
_countries["MMR"] = "Myanmar"
_countries["NAM"] = "Namibia"
_countries["NRU"] = "Nauru"
_countries["NPL"] = "Nepal"
_countries["NLD"] = "Netherlands"
_countries["NCL"] = "New Caledonia"
_countries["NZL"] = "New Zealand"
_countries["NIC"] = "Nicaragua"
_countries["NER"] = "Niger"
_countries["NGA"] = "Nigeria"
_countries["NIU"] = "Niue"
_countries["NFK"] = "Norfolk Island"
_countries["MKD"] = "North Macedonia"
_countries["MNP"] = "Northern Mariana Islands"
_countries["NOR"] = "Norway"
_countries["OMN"] = "Oman"
_countries["PAK"] = "Pakistan"
_countries["PLW"] = "Palau"
_countries["PSE"] = "State of Palestine"
_countries["PAN"] = "Panama"
_countries["PNG"] = "Papua New Guinea"
_countries["PRY"] = "Paraguay"
_countries["PER"] = "Peru"
_countries["PHL"] = "Philippines"
_countries["PCN"] = "Pitcairn"
_countries["POL"] = "Poland"
_countries["PRT"] = "Portugal"
_countries["PRI"] = "Puerto Rico"
_countries["QAT"] = "Qatar"
_countries["REU"] = "Réunion"
_countries["ROU"] = "Romania"
_countries["RUS"] = "Russian Federation"
_countries["RWA"] = "Rwanda"
_countries["BLM"] = "Saint Barthélemy"
_countries["SHN"] = "Saint Helena"
_countries["KNA"] = "Saint Kitts and Nevis"
_countries["LCA"] = "Saint Lucia"
_countries["MAF"] = "Saint Martin (French)"
_countries["SPM"] = "Saint Pierre and Miquelon"
_countries["VCT"] = "Saint Vincent and the Grenadines"
_countries["WSM"] = "Samoa"
_countries["SMR"] = "San Marino"
_countries["STP"] = "Sao Tome and Principe"
_countries["SAU"] = "Saudi Arabia"
_countries["SEN"] = "Senegal"
_countries["SRB"] = "Serbia"
_countries["SYC"] = "Seychelles"
_countries["SLE"] = "Sierra Leone"
_countries["SGP"] = "Singapore"
_countries["SXM"] = "Sint Maarten (Dutch)"
_countries["SVK"] = "Slovakia"
_countries["SVN"] = "Slovenia"
_countries["SLB"] = "Solomon Islands"
_countries["SOM"] = "Somalia"
_countries["ZAF"] = "South Africa"
_countries["SGS"] = "South Georgia and the South Sandwich Islands"
_countries["SSD"] = "South Sudan"
_countries["ESP"] = "Spain"
_countries["LKA"] = "Sri Lanka"
_countries["SDN"] = "Sudan"
_countries["SUR"] = "Suriname"
_countries["SJM"] = "Svalbard and Jan Mayen Islands"
_countries["SWE"] = "Sweden"
_countries["CHE"] = "Switzerland"
_countries["SYR"] = "Syrian Arab Republic"
_countries["TWN"] = "Taiwan, Republic of China"
_countries["TJK"] = "Tajikistan"
_countries["TZA"] = "United Republic of Tanzania"
_countries["THA"] = "Thailand"
_countries["TLS"] = "Timor-Leste"
_countries["TGO"] = "Togo"
_countries["TKL"] = "Tokelau"
_countries["TON"] = "Tonga"
_countries["TTO"] = "Trinidad and Tobago"
_countries["TUN"] = "Tunisia"
_countries["TUR"] = "Turkey"
_countries["TKM"] = "Turkmenistan"
_countries["TCA"] = "Turks and Caicos Islands"
_countries["TUV"] = "Tuvalu"
_countries["UGA"] = "Uganda"
_countries["UKR"] = "Ukraine"
_countries["ARE"] = "United Arab Emirates"
_countries["GBR"] = "United Kingdom"
_countries["UMI"] = "United States Minor Outlying Islands"
_countries["USA"] = "United States of America"
_countries["URY"] = "Uruguay"
_countries["UZB"] = "Uzbekistan"
_countries["VUT"] = "Vanuatu"
_countries["VEN"] = "Venezuela"
_countries["VNM"] = "Viet Nam"
_countries["VGB"] = "Virgin Islands (British)"
_countries["VIR"] = "Virgin Islands (U.S.)"
_countries["WLF"] = "Wallis and Futuna Islands"
_countries["ESH"] = "Western Sahara"
_countries["YEM"] = "Yemen"
_countries["ZMB"] = "Zambia"
_countries["ZWE"] = "Zimbabwe"

_countries["GBD"] = "British Overseas Territories Citizen"
_countries["GBN"] = "British National (Overseas)"
_countries["GBO"] = "British Overseas Citizen"
_countries["GBP"] = "British Protected Person"
_countries["GBS"] = "British Subject"

_countries["UNO"] = "United Nations"
_countries["UNA"] = "United Nations"
_countries["UNK"] = "Kosovo (United Nations)"

_countries["XBA"] = "African Development Bank"
_countries["XIM"] = "African Export-Import Bank"
_countries["XCC"] = "Caribbean Community"
_countries["XCE"] = "Council of Europe"
_countries["XCO"] = "Common Market for Eastern and Southern Africa"
_countries["XEC"] = "Economic Community of West African States"
_countries["XPO"] = "Interpol"
_countries["XOM"] = "Sovereign Military Order of Malta"
_countries["XDC"] = "Southern African Development Community"

_countries["XXA"] = "Stateless"
_countries["XXB"] = "Refugee"
_countries["XXC"] = "Refugee"
_countries["XXX"] = "Unspecified"

_countries["EUE"] = "European Union"
_countries["RKS"] = "Republic of Kosovo"
_countries["XCT"] = "North Cyprus"

_countries["ANT"] = "Netherlands Antilles"
_countries["NTZ"] = "Neutral Zone"
_countries["SCG"] = "Serbia and Montenegro"
_countries["YUG"] = "Yugoslavia"
_countries["FXX"] = "France, Metropolitan"


def get_country_code_name(country):
    """ Return the name of a country.

    :param country:     Country code.
    :return:            Country name.
    """
    return _countries.get(country, "")
